Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Class TextNLSEntry

    java.lang.Object
      jet.server.api.nls.NLSEntry
          jet.server.api.nls.TextNLSEntry

All Implemented Interfaces:
  java.io.Serializable

    public class TextNLSEntry

extends NLSEntry

The TextNLSEntry is one of NLSEntry, it was used to transform display text while exporting report to file. A TextNLSEntry has three properties--type, key text, value text. The type specify the type of TextNLSEntry, and its value has four choices--NLSType.LABEL, NLSType.COLUMN, NLSType.PROMPT, NLSType.TOC. The type and key text specify a TextNLSEntry uniquely. When the running of a task is finished, the result of task will be exported to a file. During the exporting process, all the display text in result, which were same with the TextNLSEntry-- their type and key text are same would be translated into value text.

See Also:
  `GlobalNSLLibrary`, `NLSEntry`, `TextNLSEntry`, Serialized Form

Constructor Summary
`TextNLSEntry(NLSType type, java.lang.String keyText)` The construct method of TextNLSEntry.
`TextNLSEntry(NLSType type, java.lang.String keyText, java.lang.String valueText)` The construct method of TextNLSEntry.

Method Summary
`boolean` | `equals(java.lang.Object obj)` The equals method of TextNLSEntry.
`java.lang.String` | `getKeyText()` Gets the keyText of a TextNLSEntry.
`NLSType` | `getType()` Gets the type of a TextNLSEntry.
`java.lang.String` | `getValueText()` Gets the valueText of a TextNLSEntry.
`int` | `hashCode()` The hashCode method of TextNLSEntry.
`void` | `setKeyText(java.lang.String keyText)` Sets the keyText of a TxetNLSEntry.
`void` | `setType(NLSType type)` Sets the type of a TextNLSEntry.
`void` | `setValueText(java.lang.String valueText)` Sets the valueText of TextNLSEntry.
`java.lang.String` | `toString()` The toString method of TextNLSEntry.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextNLSEntry

    public TextNLSEntry(NLSType type,
                        java.lang.String keyText)

  The construct method of TextNLSEntry.

  Parameters:
    `The` - type of TextNLSEntry.
    `The` - keyText of TextNLSEntry.

### TextNLSEntry

    public TextNLSEntry(NLSType type,
                        java.lang.String keyText,
                        java.lang.String valueText)

  The construct method of TextNLSEntry.

  Parameters:
    `The` - type of TextNLSEntry.
    `The` - keyText of TextNLSEntry.
    `The` - valueText of TextNLSEntry.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  The equals method of TextNLSEntry.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  The hashCode method of TextNLSEntry.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  The toString method of TextNLSEntry.

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public NLSType getType()

  Gets the type of a TextNLSEntry.

  Returns:
    A NLSType, which is the type of a TextNLSEntry.

### setType

    public void setType(NLSType type)

  Sets the type of a TextNLSEntry.

  Parameters:
    `The` - type of a TextNLsEntry.

### getKeyText

    public java.lang.String getKeyText()

  Gets the keyText of a TextNLSEntry.

  Returns:
    A string, which is the keyText of a TextNLSEntry.

### setKeyText

    public void setKeyText(java.lang.String keyText)

  Sets the keyText of a TxetNLSEntry.

  Parameters:
    `A` - String, which is the keyText of a TextNLSEntry.

### getValueText

    public java.lang.String getValueText()

  Gets the valueText of a TextNLSEntry.

  Returns:
    Return a string, which is the valueText of a TextNLSEntry.

### setValueText

    public void setValueText(java.lang.String valueText)

  Sets the valueText of TextNLSEntry.

  Parameters:
    `A` - string, which is the valueText of TextNLSEntry.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD